Bug 1760618 (CVE-2019-15165) - CVE-2019-15165 libpcap: Resource exhaustion during PHB header length validation
Summary: CVE-2019-15165 libpcap: Resource exhaustion during PHB header length validation
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-15165
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1760624 1792207 1792208
Blocks: 1760627
TreeView+ depends on / blocked
 
Reported: 2019-10-10 23:28 UTC by Pedro Sampaio
Modified: 2020-11-04 02:22 UTC (History)
5 users (show)

Fixed In Version: libpcap 1.9.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:22:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4547 None None None 2020-11-04 01:53:07 UTC

Description Pedro Sampaio 2019-10-10 23:28:09 UTC
sf-pcapng.c in libpcap before 1.9.1 does not properly validate the PHB header length before allocating memory.

Upstream patch:

https://github.com/the-tcpdump-group/libpcap/commit/87d6bef033062f969e70fa40c43dfd945d5a20ab
https://github.com/the-tcpdump-group/libpcap/commit/a5a36d9e82dde7265e38fe1f87b7f11c461c29f6

References:

https://github.com/the-tcpdump-group/libpcap/blob/libpcap-1.9/CHANGES

Comment 1 Pedro Sampaio 2019-10-10 23:58:51 UTC
Created libpcap tracking bugs for this issue:

Affects: fedora-all [bug 1760624]

Comment 3 Riccardo Schirone 2020-07-23 12:59:40 UTC
Statement:

A Low Impact has been given to this flaw even though the CVSSv3 is 7.5, because libpcap library is mainly used as part of debugging tools like wireshark or tcpdump, where an impact to the Availability is not considered security relevant in a reasonable scenario.

Comment 4 errata-xmlrpc 2020-11-04 01:53:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4547 https://access.redhat.com/errata/RHSA-2020:4547

Comment 5 Product Security DevOps Team 2020-11-04 02:22:41 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-15165


Note You need to log in before you can comment on or make changes to this bug.